package com.ts.als;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import com.ts.als.model.Arp;
import com.ts.als.repository.ArpRepository;
/**
 * this application prepared as Proof Of Consept (POC)
 * Basicaly we prepared Logo Apps Project thats sending some Logo ARP including address info records.  
 * Architecture 
 * Tiger Logo Apps (many) + Server +  Mobile (Many)
 * 
 * 
 * 1. https://spring.io/guides/gs/accessing-data-mongodb/
 * 2. REST provider
 * 
 * @author Servet.Karabas
 */

@SpringBootApplication
public class ArpsServerApplication { //implements CommandLineRunner {
	
	@Autowired
	ArpRepository	repository;
	
	public static void main(String[] args) {
		SpringApplication.run(ArpsServerApplication.class, args);
	}
	/*
	@Override
	public void run(String... args) throws Exception {
		repository.deleteAll();
		// save a couple of customers
		repository.save(new Arp("CR001","Logo", "41.01","38.01","Logo B.S."));
		repository.save(new Arp("CR001","Elif", "41.01","38.01","Logo B.S."));
		repository.save(new Arp("CR001","Servet", "41.01","38.01","Logo B.S."));
		repository.save(new Arp("CR001","Ugur", "41.01","38.01","Logo B.S."));
		// fetch all customers
		System.out.println("Customers found with findAll():");
		System.out.println("-------------------------------");
		for (Arp arpLocation : repository.findAll()) {
			System.out.println(arpLocation);
		}
		System.out.println();

		System.out.println("Arp info found with findByFirstName('Servet'):");
		System.out.println("--------------------------------");
		System.out.println(repository.findByName("Alice"));

		System.out.println("Customers found with findByLastName('Smith'):");
		System.out.println("--------------------------------");
		for (Arp arp : repository.findByCompany("Logo B.S.")) {
			System.out.println(arp);
		}
	}
	*/
}
