package com.ts.als;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.domain.Example;
import org.springframework.test.context.junit4.SpringRunner;

import com.ts.als.model.Arp;
import com.ts.als.repository.ArpRepository;

@RunWith(SpringRunner.class)
@SpringBootTest
public class ArpsServerApplicationTests {

	@Test
	public void contextLoads() {
	}

	@Autowired
	ArpRepository repository;

	Arp dave, oliver, carter;

	@Before
	public void setUp() {

		repository.deleteAll();

		dave = repository.save(new Arp("Dave", "Matthews", "1", "2", "Logo"));
		oliver = repository.save(new Arp("Oliver August", "Matthews", "1", "2", "Logo"));
		carter = repository.save(new Arp("Carter", "Beauford", "1", "2", "Logo"));
	}

	@Test
	public void setsIdOnSave() {

		Arp dave = repository.save(new Arp("Dave", "Matthews", "1", "2", "Logo"));
//		assertThat(dave.getId()).isNotNull();
	}

	@Test
	public void findsByLastName() {

		Arp result = repository.findByName("Servet");

//		assertThat(result).hasSize(1).extracting("Name").contains("Carter");
	}

	@Test
	public void findsByExample() {

		Arp probe = new Arp("", "Matthews", "", "", "");

		java.util.List<Arp> result = repository.findAll(Example.of(probe));

//		assertThat(result).hasSize(2).extracting("firstName").contains("Dave", "Oliver August");
	}

}
