package com.ts.als.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import com.ts.als.model.Arp;

@Repository
public interface ArpRepository extends JpaRepository<Arp,Long>{
	public Arp findByName(String name);
	public List<Arp> findByCompany(String company);
	public Arp findByCode(String code);
	public List<Arp> findAll();
}
