package com.ts.als.service;

import java.util.Collection;

import com.ts.als.model.Arp;

/**
 * Service olarak sunulacak interface ler içinde delete olmayacak.
 * Aynı cari yerdeğiştirmiş ise eski verileride tutulabilir.
 * 
 * @author Servet.Karabas
 */
public interface ArpService {
	Collection<Arp> findAll();
	Collection<Arp> findByCompany(String	company);
	
	Arp findOne(Long	id);
	Arp create(Arp arp);
	Arp update(Arp arp);
	void	delete(Long id);
}
